## gdb 7.1

=== debian/changelog ===
gdb (7.1-1ubuntu2) lucid; urgency=low

  * Fix TBB TBH decoding in Thumb-2, patch taken from the trunk.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 08 Apr 2010 11:48:33 +0200

gdb (7.1-1ubuntu1) lucid; urgency=low

  * Merge with Debian; remaining changes:
    - PIE testsuite support.
    - Fix some typos in messages.
    - Don't build the gdb-minimal package.
    - Install symlink to compressed gdb64 manpage.
    - Don't install the upstream changelog in gdbserver.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 20 Mar 2010 14:19:26 +0100

gdb (7.1-1) unstable; urgency=low

  * New upstream release, including:
    - PIE support (Closes: #346409).
    - C++ improvements, including static_cast<> et al, namespace imports,
      and bug fixes in printing virtual base classes.
    - Multi-program debugging.  One GDB can now debug multiple programs
      at the same time.
    - Python scripting improvements, including gdb.parse_and_eval.
    - Updated MIPS Linux signal frame layout (Closes: #570875).
    - No internal error stepping over _dl_debug_state (Closes: #569551).
  * Update to Standards-Version: 3.8.4 (no changes required).
  * Include more relevant (and smaller) docs in the gdbserver package
    (Closes: #571132).
  * Do not duplicate documentation in gdb64, gdb-source, and libgdb-dev.
  * Fix crash when switching into TUI mode (Closes: #568489).

 -- Daniel Jacobowitz <dan@debian.org>  Sat, 20 Mar 2010 01:21:29 -0400

gdb (7.0.90.20100309-0ubuntu2) lucid; urgency=low

  [ Matthias Klose ]
  * Snapshot, taken from the 7.1 release branch.
  * Adjust patches, remove obsolete patches.

  [ Kees Cook ]
  * Rebase PIE testsuite, updates patch series.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 10 Mar 2010 01:25:14 +0100

gdb (7.0.1-2ubuntu3) lucid; urgency=low

  * On ARM, add support for single-stepping through IF-THEN blocks (taken
    from the trunk).

 -- Matthias Klose <doko@ubuntu.com>  Tue, 09 Mar 2010 15:37:16 +0100

gdb (7.0.1-2ubuntu2) lucid; urgency=low

  * gdb: Make gdbserver a suggestion instead of a dependency.
  * gdbserver: Don't install the toplevel upstream changelog.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 27 Feb 2010 10:58:31 +0100

gdb (7.0.1-2ubuntu1) lucid; urgency=low

  * Merge with Debian; remaining changes:
    - debian/rules: on sparc, configure the 64bit build with --disable-werror.
    - Work around a build failure on the ia64 buildd.
    - PIE support.
    - Add patch to handle debug_info less frames better.
    - Fix some typos in messages.
    - reduce build-id verbosity.
    - fixup PPC auxv prototype.
  * Don't build the gdb-minimal package.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 23 Feb 2010 18:27:19 +0100

gdb (7.0.1-0ubuntu1) lucid; urgency=low

  * New upstream version.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 31 Dec 2009 10:07:48 +0100

gdb (7.0-1ubuntu2) lucid; urgency=low

  * [arm] Prevent disassembler from aborting on an invalid Thumb2 instruction,
    taken from the trunk.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 15 Dec 2009 14:41:05 +0100

gdb (7.0-1ubuntu1) lucid; urgency=low

  * Merge with Debian; remaining changes:
    - debian/rules: on sparc, configure the 64bit build with --disable-werror.
    - Work around a build failure on the ia64 buildd.
    - PIE support.
    - Add patch to handle debug_info less frames better.
    - Fix some typos in messages.
    - reduce build-id verbosity.
    - fixup PPC auxv prototype.
  * Update to the 7.0 branch 20091120.
    - Add Thumb2 debugging for armel.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 20 Nov 2009 14:48:57 -0600

gdb (7.0-0ubuntu1) karmic; urgency=low

  * 7.0 final release.
    - Fix PR gdb/10649.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 09 Oct 2009 09:27:53 +0200

gdb (6.8.92-0ubuntu1) karmic; urgency=low

  * 7.0 prerelease 2.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 01 Oct 2009 15:04:44 +0200

gdb (6.8.90.20090918-0ubuntu2) karmic; urgency=low

  * Update gdb-workaround-rh-stack-off.patch:
    - reduce build-id verbosity.
    - fixup PPC auxv prototype.

 -- Kees Cook <kees@ubuntu.com>  Sat, 19 Sep 2009 10:26:41 -0700

gdb (6.8.90.20090918-0ubuntu1) karmic; urgency=low

  [ Matthias Klose ]
  * Merge with Debian; remaining changes:
    - debian/rules: on sparc, configure the 64bit build with --disable-werror.
  * Update to the 7.0 release branch.

  [ Kees Cook ]
  * Add patches to support PIE, thanks to RH's 6.8.91.20090917 branch:
    - gdb-6.3-test-pie-20050107.patch
    - gdb-6.5-bz203661-emit-relocs.patch
    - gdb-workaround-rh-stack-on.patch (workaround lack of Archer, CRC)
    - gdb-6.6-buildid-locate.patch
    - gdb-6.3-pie-20050110.patch
    - gdb-workaround-rh-stack-off.patch (undo workarounds)

 -- Matthias Klose <doko@ubuntu.com>  Sat, 19 Sep 2009 15:38:43 +0000

gdb (6.8.50.20090628-1ubuntu3) karmic; urgency=low

  * Refresh PIE support patches to gain analysis of PIE core files.

 -- Kees Cook <kees@ubuntu.com>  Tue, 14 Jul 2009 13:20:57 -0700

gdb (6.8.50.20090628-1ubuntu2) karmic; urgency=low

  * Replace the gdbtui binary by a shell script. LP: #244065.
  * Enable parallel builds.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 06 Jul 2009 13:59:42 +0200

gdb (6.8.50.20090628-1ubuntu1) karmic; urgency=low

  * Merge with Debian; remaining changes:
    - debian/rules: on sparc, configure the 64bit build with --disable-werror.
    - Support nocheck and parallel=<n> in DEB_BUILD_OPTIONS.
    - lpia fix for running the check target.
    - Work around a build failure on the ia64 buildd.
  * Disable patches (not yet updated): pie-support-alt, pie-support-tests, 
    handle-nodebuginfo-better.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 06 Jul 2009 09:51:58 +0200

gdb (6.8-3ubuntu2) intrepid; urgency=low

  * debian/rules: on sparc, configure the 64bit build with --disable-werror.
  * Reapply debian/patches/gdb-cvs-reinit_frame_cache.patch. LP: #196274.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 24 Jun 2008 15:42:23 +0200


