=== debian/control ===
--- 
+++ 
@@ -1,16 +1,15 @@
 Source: gdb
-Maintainer: Ubuntu Core developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Daniel Jacobowitz <dan@debian.org>
+Maintainer: Hector Oron <zumbi@debian.org>
 Section: devel
 Priority: optional
-Standards-Version: 3.8.4
-Build-Depends: autoconf, libtool, texinfo (>= 4.7-2.2), texlive-base, libncurses5-dev, libreadline-dev, bison, gettext, debhelper (>= 7), dejagnu, gcj-jdk | gcj, gobjc, mig [hurd-alpha hurd-amd64 hurd-arm hurd-armeb hurd-avr32 hurd-hppa hurd-i386 hurd-ia64 hurd-m32r hurd-m68k hurd-mips hurd-mipsel hurd-powerpc hurd-ppc64 hurd-s390 hurd-s390x hurd-sh3 hurd-sh3eb hurd-sh4 hurd-sh4eb hurd-sparc hurd-sparc64], cdbs (>= 0.4.17), libkvm-dev [kfreebsd-alpha kfreebsd-amd64 kfreebsd-arm kfreebsd-armeb kfreebsd-avr32 kfreebsd-hppa kfreebsd-i386 kfreebsd-ia64 kfreebsd-m32r kfreebsd-m68k kfreebsd-mips kfreebsd-mipsel kfreebsd-powerpc kfreebsd-ppc64 kfreebsd-s390 kfreebsd-s390x kfreebsd-sh3 kfreebsd-sh3eb kfreebsd-sh4 kfreebsd-sh4eb kfreebsd-sparc kfreebsd-sparc64], type-handling (>= 0.2.1), libunwind7-dev [ia64], flex | flex-old, libexpat1-dev, g++-multilib [i386 powerpc s390 sparc], lib64readline6-dev [i386 powerpc s390 sparc], python-dev, zlib1g-dev, procps, lsb-release, bzip2
+Standards-Version: 3.9.2
+Build-Depends: autoconf, libtool, texinfo (>= 4.7-2.2), texlive-base, libncurses5-dev, libreadline-dev, bison, gettext, debhelper (>= 7), dejagnu, gcj-jdk | gcj, gobjc, mig [hurd-alpha hurd-amd64 hurd-arm hurd-armeb hurd-avr32 hurd-hppa hurd-i386 hurd-ia64 hurd-m32r hurd-m68k hurd-mips hurd-mipsel hurd-powerpc hurd-ppc64 hurd-s390 hurd-s390x hurd-sh3 hurd-sh3eb hurd-sh4 hurd-sh4eb hurd-sparc hurd-sparc64], cdbs (>= 0.4.17), libkvm-dev [kfreebsd-alpha kfreebsd-amd64 kfreebsd-arm kfreebsd-armeb kfreebsd-avr32 kfreebsd-hppa kfreebsd-i386 kfreebsd-ia64 kfreebsd-m32r kfreebsd-m68k kfreebsd-mips kfreebsd-mipsel kfreebsd-powerpc kfreebsd-ppc64 kfreebsd-s390 kfreebsd-s390x kfreebsd-sh3 kfreebsd-sh3eb kfreebsd-sh4 kfreebsd-sh4eb kfreebsd-sparc kfreebsd-sparc64], type-handling (>= 0.2.1), libunwind7-dev [ia64], flex | flex-old, libexpat1-dev, g++-multilib [i386 powerpc s390 sparc], lib64readline6-dev [i386 powerpc s390 sparc], python-dev, zlib1g-dev, procps, lsb-release, bzip2, prelink [linux-any]
 
 Package: gdb
 Architecture: any
 Section: devel
-Depends: ${shlibs:Depends}, ${misc:Depends}
-Suggests: gdb-doc, gdbserver [amd64 armel i386 ia64 mips mipsel powerpc s390]
+Depends: ${shlibs:Depends}, ${misc:Depends}, gdbserver [amd64 armel armhf i386 ia64 mips mipsel powerpc s390]
+Suggests: gdb-doc
 Description: The GNU Debugger
  GDB is a source-level debugger, capable of breaking programs at
  any specific line, displaying variable values, and determining
@@ -18,20 +17,20 @@
  Modula 2 and Java programs. A must-have for any serious
  programmer.
 
-#Package: gdb-minimal
-#Architecture: any
-#Section: devel
-#Depends: ${shlibs:Depends}, ${misc:Depends}
-#Conflicts: gdb
-#Description: The GNU Debugger
-# GDB is a source-level debugger, capable of breaking programs at
-# any specific line, displaying variable values, and determining
-# where errors occurred. Currently, it works for C, C++, Fortran,
-# Modula 2 and Java programs. A must-have for any serious
-# programmer.
-# .
-# This package contains a minimal version of GDB with optional features
-# disabled.
+Package: gdb-minimal
+Architecture: any
+Section: devel
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Conflicts: gdb
+Description: The GNU Debugger
+ GDB is a source-level debugger, capable of breaking programs at
+ any specific line, displaying variable values, and determining
+ where errors occurred. Currently, it works for C, C++, Fortran,
+ Modula 2 and Java programs. A must-have for any serious
+ programmer.
+ .
+ This package contains a minimal version of GDB with optional features
+ disabled.
 
 Package: gdb64
 Architecture: i386 powerpc s390 sparc
@@ -45,7 +44,7 @@
  programmer.
 
 Package: gdbserver
-Architecture: amd64 armel i386 ia64 mips mipsel powerpc s390
+Architecture: amd64 armel armhf i386 ia64 mips mipsel powerpc s390
 Section: devel
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Replaces: gdb (<< 7.0.1-1)
