=== debian/rules ===
--- 
+++ 
@@ -14,7 +14,6 @@
 # Override CDBS's default CFLAGS, which also includes -Wall; gdb
 # does not handle -Wunused well with -Werror, but defaults to
 # -Werror.
-unexport CFLAGS
 CFLAGS = -g $(DEB_OPT_FLAG)
 
 # Always install into debian/tmp, even if we are only building one package.
@@ -26,6 +25,7 @@
 # untested command fails.
 SHELL += -e
 
+DEB_BUILD_GNU_TYPE := $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
 DEB_HOST_GNU_SYSTEM := $(shell dpkg-architecture -qDEB_HOST_GNU_SYSTEM)
 DEB_HOST_GNU_CPU := $(shell dpkg-architecture -qDEB_HOST_GNU_CPU)
 DEB_HOST_GNU_TYPE := $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
@@ -111,7 +111,7 @@
 # causes a harmless, but ugly, testsuite failure in maint.exp.
 EXTRA_FLAGS := --disable-gdbtk --disable-shared \
 	--srcdir=$(shell pwd) --with-system-readline \
-	$(arch_config_args) --build=$(DEB_HOST_GNU_TYPE)
+	$(arch_config_args) --build=$(DEB_BUILD_GNU_TYPE)
 
 # Debian does not include 64-bit expat packages yet, so --with-expat
 # is here rather than in EXTRA_FLAGS.  Similarly Python.
@@ -218,7 +218,7 @@
 binary-post-install/gdb64 ::
 	install -d debian/gdb64/usr/bin
 	install -s -m 755 $(BUILDDIR64)/gdb/gdb debian/gdb64/usr/bin/gdb64
-	dh_link -pgdb64 usr/share/man/man1/gdb.1.gz usr/share/man/man1/gdb64.1.gz
+	dh_link -pgdb64 usr/share/man/man1/gdb.1 usr/share/man/man1/gdb64.1
 	rm -rf debian/gdb64/usr/share/doc/gdb64
 	ln -s gdb debian/gdb64/usr/share/doc/gdb64
 
@@ -248,5 +248,3 @@
 	tar --exclude build -cf - . | (cd $(BUILDDIRSOURCE) && tar -xf -)
 	cd $(BUILDDIRSOURCE) && debian/rules clean
 	cd $(dir $(BUILDDIRSOURCE)) \
-	  && tar -cjf $(shell pwd)/debian/gdb-source/usr/src/gdb.tar.bz2 \
-	     $(notdir $(BUILDDIRSOURCE))
