## gdb 7.3.1-0maemo1%2b0m5

=== debian/changelog ===
gdb (7.3.1-0maemo1+0m5) unstable; urgency=low

  * New upstream release

 -- Ivaylo Dimtrov <freemangordon@abv.bg>  Sat, 02 Nov 2013 08:30:11 +0200
