## gdb 7.4really

=== debian/changelog ===
gdb (7.4really-1) unstable; urgency=low

  * New upstream release:
    - Many Python scripting improvements
    - Better support for ambiguous linespecs
    - Masked watchpoints
    - Tracepoint support improvements
    - Support for Texas Instruments TMS320C6x (tic6x-*-*)
    - A Renesas RL78 simulator (rl78-*-elf)
    - Some minor Remote protocol extensions and GDB/MI changes
  * Temporarily disable gdb-multiarch and gdb-dbg.

 -- Hector Oron <zumbi@debian.org>  Sat, 28 Jan 2012 00:41:20 +0100

gdb (7.4-1~cvs20111117.2) experimental; urgency=low

  * Add build dependency on lib64ncurses5-dev for multilib targets. 

 -- Hector Oron <zumbi@debian.org>  Fri, 18 Nov 2011 19:35:17 +0000

gdb (7.4-1~cvs20111117.1) experimental; urgency=low

  * Add accidentally dropped armhf to architecture list
  * Add GDB debug package (Closes: #592512, #490049)
  * Provide GDB multiarch package (Closes: #610519)
    - Add gdb-multiarch package supporting extra bfd targets similarly to
      binutils-multiarch; the package is constructed much like gdb64 except that
      it's build with the gdb configure flags and --enable-targets=all for now.
    - Thanks Loïc Minier.
  * Fix conflicts between cross and regular gdb (Closes: #603347)
    - Pass --gdb-datadir=/usr/share/gdb-$triplet when building a cross-gdb and
      update gdb.install sed snippet to match; fixes conflict with gdb;
    - Thanks Loïc Minier.

 -- Hector Oron <zumbi@debian.org>  Thu, 17 Nov 2011 18:37:45 +0000
