=== debian/rules ===
--- 
+++ 
@@ -4,6 +4,7 @@
 
 DEB_BUILDDIR := $(ALL_BUILDDIR)/objdir
 DEB_DH_INSTALL_SOURCEDIR := $(shell pwd)/debian/tmp
+#DEB_DH_STRIP_ARGS := --dbg-package=gdb-dbg
 
 # This implements the .deb package creation using debhelper.
 include /usr/share/cdbs/1/rules/debhelper.mk
@@ -44,6 +45,11 @@
 DEB_TARGET_GNU_TYPE := $(shell dpkg-architecture -f \
 			 -a$(DEB_TARGET_ARCH) -qDEB_HOST_GNU_TYPE 2>/dev/null)
 DEB_TARGET_ALIAS ?= $(DEB_TARGET_GNU_TYPE)
+
+ifneq ($(GDB_TARGET),)
+DEB_CONFIGURE_GDB_DATADIR := "\$${prefix}/share/gdb-$(DEB_TARGET_GNU_TYPE)"
+DEB_CONFIGURE_PATH_ARGS += --with-gdb-datadir=$(DEB_CONFIGURE_GDB_DATADIR)
+endif
 
 ifeq ($(DEB_TARGET_ARCH),)
 $(error GDB_TARGET value "$(GDB_TARGET)" is not a valid Debian architecture)
@@ -79,6 +85,8 @@
 endif
 endif
 
+BUILDDIRMULTIARCH = $(ALL_BUILDDIR)/objdir-multiarch
+
 run_tests := yes
 
 ifneq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
@@ -122,6 +130,40 @@
 DEB_CONFIGURE_FLAGS_64 := --host=$(HOST64) $(EXTRA_FLAGS) \
 	--enable-tui
 
+# multiarch targets; this is taken from the binutils-multiarch package but
+# doesn't seem like a terribly nice list; see
+# <20110117211551.GA7216@bee.dooz.org> for discussion -- locally updated
+#MULTIARCH_TARGETS := \
+#	alpha-linux-gnu \
+#	arm-linux-gnu \
+#	arm-linux-gnueabi \
+#	arm-linux-gnueabihf \
+#	hppa-linux-gnu \
+#	i686-linux-gnu \
+#	ia64-linux-gnu \
+#	m68k-linux-gnu \
+#	m68k-rtems \
+#	mips-linux-gnu \
+#	mipsel-linux-gnu \
+#	mips64-linux-gnu \
+#	mips64el-linux-gnu \
+#	powerpc-linux-gnu \
+#	powerpcspe-linux-gnu \
+#	ppc64-linux-gnu \
+#	s390-linux-gnu \
+#	s390x-linux-gnu \
+#	sh-linux-gnu \
+#	sh64-linux-gnu \
+#	sparc-linux-gnu \
+#	sparc64-linux-gnu \
+#	x86_64-linux-gnu \
+#	m32r-linux-gnu \
+#	spu
+MULTIARCH_TARGETS := all
+# multiarch flags
+DEB_CONFIGURE_FLAGS_MULTIARCH := $(DEB_CONFIGURE_EXTRA_FLAGS) \
+	--enable-targets=`set -- $(MULTIARCH_TARGETS); IFS=,; echo "$$*"`
+
 # Minimal flags
 DEB_CONFIGURE_FLAGS_MIN := --host=$(DEB_HOST_GNU_TYPE) $(EXTRA_FLAGS) \
 	--disable-tui --without-expat --without-python
@@ -158,6 +200,14 @@
 	cd $(BUILDDIR64) && $(DEB_MAKE_ENVVARS) $(MAKE) $(NJOBS)
 	touch $@
 
+build/gdb-multiarch:: build-multiarch-stamp
+build-multiarch-stamp:
+	mkdir -p $(BUILDDIRMULTIARCH)
+	cd $(BUILDDIRMULTIARCH) && \
+	  $(shell pwd)/configure $(DEB_CONFIGURE_FLAGS_MULTIARCH)
+	cd $(BUILDDIRMULTIARCH) && $(DEB_MAKE_ENVVARS) $(MAKE) $(NJOBS)
+	touch $@
+
 build/gdb-minimal:: build-minimal-stamp
 build-minimal-stamp:
 	mkdir -p $(BUILDDIRMIN)
@@ -174,7 +224,7 @@
 	touch $@
 
 clean::
-	rm -f check-stamp build64-stamp
+	rm -f check-stamp build64-stamp build-multiarch-stamp
 	rm -rf $(ALL_BUILDDIR)
 
 	if test -f gdb/version.in.backup; then \
@@ -210,41 +260,3 @@
 	# Only ship a global gdbinit for the native GDB.
 	install -d debian/gdb$(TS)/etc/gdb
 	install -m 644 debian/gdbinit debian/gdb$(TS)/etc/gdb/
-endif
-
-	rm -f debian/gdb$(TS)/usr/bin/$(TP)gdbtui
-	install -m 755 debian/gdbtui debian/gdb$(TS)/usr/bin/$(TP)gdbtui
-
-binary-post-install/gdb64 ::
-	install -d debian/gdb64/usr/bin
-	install -s -m 755 $(BUILDDIR64)/gdb/gdb debian/gdb64/usr/bin/gdb64
-	dh_link -pgdb64 usr/share/man/man1/gdb.1 usr/share/man/man1/gdb64.1
-	rm -rf debian/gdb64/usr/share/doc/gdb64
-	ln -s gdb debian/gdb64/usr/share/doc/gdb64
-
-binary-post-install/gdb-minimal ::
-	install -d debian/gdb-minimal/usr/bin
-	$(INSTALL) -m 755 -o root -g root \
-		$(BUILDDIRMIN)/gdb/gdb debian/gdb-minimal/usr/bin/gdb
-
-	$(INSTALL) -m 755 -o root -g root \
-		gdb/gdb_gcore.sh debian/gdb-minimal/usr/bin/gcore
-
-	# Only ship a global gdbinit for the native GDB.
-	install -d debian/gdb-minimal/etc/gdb
-	install -m 644 debian/gdbinit debian/gdb-minimal/etc/gdb/
-
-binary-post-install/libgdb-dev ::
-	install -m 644 $(DEB_BUILDDIR)/gdb/libgdb.a debian/libgdb-dev/usr/lib/
-	if test -e $(DEB_BUILDDIR)/sim/*/libsim.a; then \
-	  install -m 644 $(DEB_BUILDDIR)/sim/*/libsim.a debian/libgdb-dev/usr/lib/; \
-	fi
-	rm -rf debian/libgdb-dev/usr/share/doc/libgdb-dev
-	ln -s gdb debian/libgdb-dev/usr/share/doc/libgdb-dev
-
-binary-post-install/gdb-source ::
-	install -d debian/gdb-source/usr/src
-	mkdir -p $(BUILDDIRSOURCE)
-	tar --exclude build -cf - . | (cd $(BUILDDIRSOURCE) && tar -xf -)
-	cd $(BUILDDIRSOURCE) && debian/rules clean
-	cd $(dir $(BUILDDIRSOURCE)) \
